Merge branch 'stable-3.6'

* stable-3.6:
  Support Java 11 or 17 as pre-requisite
  Add ARM64 platform in the Debian packages
  Parametrise VENDOR_USER for specifying the GPG key owner
  Add sudo dependency
  Download plugins from archive-ci
  Re-release Gerrit v3.4.8
  Require Java 11 or later
  Set Gerrit to 3.6.3
  Set Gerrit to 3.5.4
  Set Gerrit to 3.4.8
  Set Gerrit to 3.4.7
  Set Gerrit to 3.6.2
  Set Gerrit to 3.5.3
  Set Gerrit to 3.4.6

Change-Id: Ie7f54aef71cba1fb1780054cd5e2c2616bdd132f
diff --git a/deb-repo/Makefile b/deb-repo/Makefile
index ffc932e..9d8dcb1 100644
--- a/deb-repo/Makefile
+++ b/deb-repo/Makefile
@@ -43,10 +43,13 @@
 server:
 	debsigs --sign=origin -k $(PGP_KEY_ID) server/dists/gerrit/contrib/binary-i386/*.deb
 	-mkdir -p server/dists/gerrit/contrib/binary-amd64
+	-mkdir -p server/dists/gerrit/contrib/binary-arm64
 	cp -f server/dists/gerrit/contrib/binary-i386/*.deb server/dists/gerrit/contrib/binary-amd64
+	cp -f server/dists/gerrit/contrib/binary-i386/*.deb server/dists/gerrit/contrib/binary-arm64
 	echo "$$DEB_RELEASE" >> server/Release
 	cd server && apt-ftparchive packages dists/gerrit/contrib/binary-i386 > dists/gerrit/contrib/binary-i386/Packages
 	cd server && apt-ftparchive packages dists/gerrit/contrib/binary-amd64 > dists/gerrit/contrib/binary-amd64/Packages
+	cd server && apt-ftparchive packages dists/gerrit/contrib/binary-arm64 > dists/gerrit/contrib/binary-arm64/Packages
 	cd server && apt-ftparchive release dists/gerrit >> Release
 	gpg -abs --default-key $(PGP_KEY_ID) -o server/Release.gpg server/Release
 	mv server/Release* server/dists/gerrit/.
diff --git a/fpm/Makefile b/fpm/Makefile
index 4b7b553..b689dff 100644
--- a/fpm/Makefile
+++ b/fpm/Makefile
@@ -3,7 +3,7 @@
 BRANCH=stable-3.7
 URL=https://gerrit-releases.storage.googleapis.com/gerrit-$(WAR_VERSION).war
 CI_URL=https://gerrit-ci.gerritforge.com
-RELEASE=1
+RELEASE=2
 
 NAME=gerrit
 CATEGORY=Development
@@ -39,7 +39,7 @@
 FPM_OPTS=-s dir \
 	-f -n $(NAME) -v $(VERSION) --iteration $(RELEASE) --category $(CATEGORY) -a all --rpm-os linux \
 	--description "$(SUMMARY)" --url $(WEB_URL) --license "$(LICENSE)" --vendor "$(VENDOR)" \
-	--depends git \
+	--depends git --depends sudo \
 	--PKG-user $(USER) --PKG-group $(GROUP) \
 	--before-install $(SCRIPTS_ROOT)/before-install.sh \
 	--after-install $(SCRIPTS_ROOT)/after-install.sh \
diff --git a/fpm/scripts/before-install.sh b/fpm/scripts/before-install.sh
index ab5a0f6..3a0d045 100755
--- a/fpm/scripts/before-install.sh
+++ b/fpm/scripts/before-install.sh
@@ -23,11 +23,11 @@
 
 echo -n "Checking Java version ... "
 JAVA_VERSION=$(java -version 2>&1)
-[ $? != 0 ] && echo -e "NOT FOUND\nPlease install Java >= 1.8.0 and try again" && exit 2
+[ $? != 0 ] && echo -e "NOT FOUND\nPlease install Java 11 and try again" && exit 2
 
-VERSION=`expr "$JAVA_VERSION" : '.*"\(1.[0-9\.]*\)["_]'`
+VERSION=`expr "$JAVA_VERSION" : '.*"\(1[17]\..*\)["_]'`
 echo "$VERSION"
-test "$VERSION" "<" "1.8" && echo "ERROR: java >= 1.8.0 required by Gerrit" && exit 3
+test "$VERSION" "<" "11" && echo "ERROR: Java 11 or 17 required by Gerrit" && exit 3
 
 # Script is invoked even before upgrade, we need to stop Gerrit if active
 if [ -e /etc/init.d/gerrit ]
diff --git a/yum-repo/Makefile b/yum-repo/Makefile
index 2d7ab2d..a598511 100644
--- a/yum-repo/Makefile
+++ b/yum-repo/Makefile
@@ -5,11 +5,12 @@
 RELEASE=4
 VENDOR=GerritForge
 VENDOR_LC=$(shell echo $(VENDOR) | tr A-Z a-z)
+VENDOR_USER=yum
 WEB_URL=http://$(VENDOR_LC).com
 MIRROR_URL=http://mirrorlist.$(VENDOR_LC).com/yum
 
 # Vendor PGP Certificate (default GerritForge)
-PGP_USER=info@$(VENDOR_LC).com
+PGP_USER=$(VENDOR_USER)@$(VENDOR_LC).com
 
 ### END OF VARIABLES THAT CAN BE OVERRIDDEN ###